Subject: [Diffserv] Informal WG last call for draft-ietf-diffserv-new-terms-06.txt

From: Brian E Carpenter <[email-masked]>
Date: Wed, 07 Nov 2001 15:19:41 +0100

It is proposed to forward draft-ietf-diffserv-new-terms-06.txt
for publication as an Informational RFC. This is an informal
working group last call - please make any last comments
on this document by Wednesday, November 21.

N.B. This is an "informal" call because this is not a
standards track document. Nevertheless, the clarification
in Section 7 does refer to standards track issues.

  Brian Carpenter
  Kathie Nichols
   diffserv co-chairs

-------- Original Message --------
Subject: [Diffserv] I-D ACTION:draft-ietf-diffserv-new-terms-06.txt
Date: Wed, 07 Nov 2001 07:04:57 -0500
From: [email-masked]
Reply-To: [email-masked]
To: IETF-Announce: ;
CC: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Differentiated Services Working Group of the IETF.

	Title		: New Terminology for Diffserv
	Author(s)	: D. Grossman
	Filename	: draft-ietf-diffserv-new-terms-06.txt
	Pages		: 9
	Date		: 06-Nov-01
	
This memo captures Diffserv working group agreements concerning new
and improved terminology, and also provides minor technical
clarifications.  It is intended to update RFC 2474, RFC 2475 and RFC
2597.   When RFCs 2474 and 2597 advance on the standards track, and
RFC 2475 is updated, it is intended that the revisions in this memo
will be incorporated, and that this memo will be obsoleted by the new
RFCs.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-diffserv-new-terms-06.txt

---

From: "C. M. Heard" <[email-masked]>
Date: Wed, 7 Nov 2001 19:39:56 -0800 (PST)

> in Section 7 does refer to standards track issues.

Please pardon a non-WG member for butting in, but I think I see a
small problem.  Section 7 says, in part:

   In addition, RFC 2474 obsoletes RFC 1349 by IESG action.  For
   completeness, when RFC 2474 is updated, the sentence should read:
      "No attempt is made to maintain backwards compatibility with the
      "DTR/MBZ" or TOS bits of the IPv4 TOS octet, as defined in [RFC791]
      and [RFC1349].  This implies that TOS bit processing as described
      in sections 5.2.4.3 and 5.3.2  of [RFC1812] is also obsoleted by
      this memo.  Also see [RFC2780]."

The proposed update to RFC 2474 is not quite correct, because TOS
processing is described in many places in RFC 1812 besides the
cited sections 5.2.4.3 and 5.3.2.  DiffServ also renders obsolete TOS
processing as described in the (full-standard) Host Requirements
documents (RFC 1122 and RFC 1123, particularly RFC 1122 Section
3.3.1.3).  In view of these considerations, perhaps it would be
better for the next-to-last sentence of the updated text to read:

      This implies that TOS bit processing as described in [RFC1122],
      [RFC1123], and [RFC1812] is also obsoleted by this memo.

Mike

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Dan Grossman <[email-masked]>
Date: Thu, 08 Nov 2001 11:36:58 -0500

>       [RFC1123], and [RFC1812] is also obsoleted by this memo.
Mike correctly points out that there are not one, but three big cans-o'-worms 
opened by this.  For example, there's some error processing buried in RFC1812 
concerning what a router's supposed to do when it doesn't have a route that 
matches the TOS specified in the packet.  The Right Thing To Do, in my 
opinion, would be corrective surgery on RFC1122, RFC1123 and RFC1812.  But 
Doing The Right Thing requires volunteers and probably opening more big 
cans-o'-worms than any of us have time or enthusiasm for.  So, I'll suggest 
that we accept Mike's text, and when the chairs point out the issue to the 
IESG, that they also mention RFC1122 and RFC1123.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Nov 2001 15:46:43 +0100

Officially, this last call expired yesterday, and Dan has collected
a few revisions.

Unfortunately I have to add the following comment after my own
deadline, because it only just came up:

  IANA was slightly confused by the IANA Considerations in RFC 2474,
  while reviewing draft-ietf-diffserv-efresolve-01.txt. RFC 2474
  doesn't say explicitly that *only* standards track DSCP values
  are to be registered by IANA.

  Proposal: Add to the new-terms document:
    When RFC 2474 is revised, the following sentence should be added
    to Section 6, IANA Considerations: "IANA is requested to maintain
    a register of the DSCP values RECOMMENDED by Standards Action;
    EXP/LU values are not to be registered." 

      Brian